Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.crypto.wss
Interface WSSecurityInfo

    public interface WSSecurityInfo

Method Summary
`List` | `getEncryptions()` Returns a List of `EncrytpionInfo` corresponding to all EncryptedData elements decrypted during processing of security header.
`List` | `getEncryptions(SecurityToken token)` Returns a List of `EncrytpionInfo` corresponding to all EncryptedData elements encrypted with the token.
`List` | `getSecurityTokens()` Returns a List of all security tokens found in the security header.
`List` | `getSecurityTokens(String tokenType)` Returns a List of all security tokens of this tokenType found in the security header.
`List` | `getSignatures()` Returns a List of `SignatureInfo` corresponding to Signature elements found in the security header.
`List` | `getSignatures(SecurityToken token)` Returns a List of `SignatureInfo` corresponding to Signatures created with token.
`Timestamp` | `getTimestamp()` Returns the `Timestamp` found in the security header.

Method Detail

### getSecurityTokens

    List getSecurityTokens()

  Returns a List of all security tokens found in the security header. Elements can include `BinarySecurityToken` and `UsernameToken` .

  Returns:
    The List of security tokens.

### getSecurityTokens

    List getSecurityTokens(String tokenType)

  Returns a List of all security tokens of this tokenType found in the security header. Elements in the List can include `BinarySecurityToken` and `UsernameToken` .

  Parameters:
    `tokenType` -
  Returns:
    The List of security tokens of type tokenType.

### getEncryptions

    List getEncryptions()

  Returns a List of `EncrytpionInfo` corresponding to all EncryptedData elements decrypted during processing of security header.

  Returns:
    The List of EncryptionsInfos.

### getEncryptions

    List getEncryptions(SecurityToken token)

  Returns a List of `EncrytpionInfo` corresponding to all EncryptedData elements encrypted with the token.

  Parameters:
    `token` -
  Returns:
    The List of EncryptionsInfos for the token.

### getSignatures

    List getSignatures()

  Returns a List of `SignatureInfo` corresponding to Signature elements found in the security header.

  Returns:
    The List of SignatureInfos.

### getSignatures

    List getSignatures(SecurityToken token)

  Returns a List of `SignatureInfo` corresponding to Signatures created with token.

  Parameters:
    `token` -
  Returns:
    The List of SignatureInfos for the token.

### getTimestamp

    Timestamp getTimestamp()

  Returns the `Timestamp` found in the security header.

  Returns:
    The Timestamp.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD